BEGIN;

CREATE TABLE logs(
 id integer primary key,
 host text default NULL,
 ip text defaults NULL,
 fac text default NULL,
 prio text default NULL,
 llevel text default NULL,
 tag text default NULL,
 utcsec int default NULL,
 tzoffset text default NULL,
 ldate date default CURRENT_DATE,
 ltime time default CURRENT_TIME,
 prog text default NULL,
 msg test defult NULL
);

CREATE INDEX logs_id_idx ON logs (id);
CREATE INDEX logs_host_idx ON logs (host);
CREATE INDEX logs_utcsec_idx ON logs (utcsec);
CREATE INDEX logs_llevel_idx ON logs (llevel);
CREATE INDEX logs_ldate_idx ON logs (ldate);
CREATE INDEX logs_ltime_idx ON logs (ltime);

COMMIT;

